package net.northking.cctp.executePlan.dto.planBatch;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>Title: BatchInfoReportDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/09/25
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class BatchInfoReportDto implements Serializable {

    /**
     * 计划名称
     */
    @ApiModelProperty("计划名称")
    private String planName;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private Date endTime;

    /**
     * 耗时
     */
    @ApiModelProperty("耗时")
    private String elapsedTime;

    /**
     * 脚本总数
     */
    @ApiModelProperty("脚本总数")
    private Integer scriptTotal;

    /**
     * 用例总数
     */
    @ApiModelProperty("用例总数")
    private Integer caseTotal;

    /**
     * 提测设备数量
     */
    @ApiModelProperty("提测设备数量")
    private Long testDeviceNum;

    /**
     * 重试设备数量
     */
    @ApiModelProperty("重试设备数量")
    private Long retryDeviceNum;

    /**
     * 提测人
     */
    @ApiModelProperty("提测人")
    private String testBy;

    /**
     * 触发类型；1-自动，2-手动，3-devops<br>
     */
    @ApiModelProperty("触发方式 1-自动，2-手动，3-devops")
    private String triggerType;

    /**
     * 环境名称
     */
    @ApiModelProperty("环境名称")
    private String envName;

    public String getTriggerType() {
        return triggerType;
    }

    public void setTriggerType(String triggerType) {
        this.triggerType = triggerType;
    }

    public String getEnvName() {
        return envName;
    }

    public void setEnvName(String envName) {
        this.envName = envName;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getElapsedTime() {
        return elapsedTime;
    }

    public void setElapsedTime(String elapsedTime) {
        this.elapsedTime = elapsedTime;
    }

    public Integer getScriptTotal() {
        return scriptTotal;
    }

    public void setScriptTotal(Integer scriptTotal) {
        this.scriptTotal = scriptTotal;
    }

    public Integer getCaseTotal() {
        return caseTotal;
    }

    public void setCaseTotal(Integer caseTotal) {
        this.caseTotal = caseTotal;
    }

    public Long getTestDeviceNum() {
        return testDeviceNum;
    }

    public void setTestDeviceNum(Long testDeviceNum) {
        this.testDeviceNum = testDeviceNum;
    }

    public Long getRetryDeviceNum() {
        return retryDeviceNum;
    }

    public void setRetryDeviceNum(Long retryDeviceNum) {
        this.retryDeviceNum = retryDeviceNum;
    }

    public String getTestBy() {
        return testBy;
    }

    public void setTestBy(String testBy) {
        this.testBy = testBy;
    }
}
